<template>
    <div>
        <highcharts :options="options"></highcharts>
    </div>
</template>

<script>
import {Chart} from 'highcharts-vue'

export default {
    name: "cam-material-chart-component",
    props: ["series"],
    components: {
        highcharts: Chart
    },
    data: function () {
        return {
            options: {
                chart: {
                    height: 180
                },
                credits: false,
                title: {
                    text: 'Camera Material',
                    style: {
                        fontSize: '1.5rem'
                    }
                },
                legend: {
                    layout: 'horizontal',
                    align: 'center',
                    verticalAlign: 'bottom'
                },
                xAxis: {
                    categories: this.series.xAxis
                },
                yAxis: {
                    max: 100,
                    title: {
                        text: 'Material (%)',
                        align: 'high',
                        y: -24,
                        x: 0,
                        offset: -30,
                        rotation: 0
                    },
                    tickInterval: 10
                },
                series: this.series.yAxis
            },
        }
    }
}
</script>
